////////////////////////////////////////////////////////////////////////////////
//
//
//  FileName    :   SUISkin_InfoPower.pas
//  Creator     :   Shen Min
//  Date        :   2005-04-22
//  Comment     :
//
//  Copyright (c) 2002-2005 Sunisoft
//  http://www.sunisoft.com
//  Email: support@sunisoft.com
//
////////////////////////////////////////////////////////////////////////////////
//
//  How to use:
//      Please add this unit to the "uses" clause of the unit where you
//  also inlcuded SUISkinEngine unit. And add this unit after SUISkinEngine.
//
//  E.g.
//
//  unit test;
//  interface
//  uses ..., SUISkinEngine, SUISkin_InfoPower;
//  ...
//  ...

unit SUISkin_InfoPower;

interface

uses Windows, Classes, Controls, Graphics, wwDBNavigator, Wwdbgrid, Dialogs,
     wwComboButton,{If you are using InfoPower 4000, use this unit}
     {wwdblook,}{If you are using InfoPower 3000, use this unit}
     wwdotdot, wwdbdatetimepicker,
     SUISkinEngine;

type
    TsuiIPComboButton = class(TsuiSkinControlVCL)
    protected
        procedure PaintControl(); override;
    end;

    TsuiIPNavigator = class(TsuiSkinControlVCL)
    protected
        procedure DoInit(); override;
    end;

    TsuiIPDBGrid = class(TsuiSkinScrollWinControl)
    // If you don't want to skin the scrollbar of TwwDBGrid, just modify
    // "TsuiSkinScrollWinControl" to "TsuiSkinControlVCL"
    protected
        procedure DoInit(); override;
    end;

    TsuiIPDBCustomCombo = class(TsuiSkinControlVCL)
    protected
        procedure DoInit(); override;
    end;

    TsuiIPDBCustomDateTimePicker = class(TsuiSkinControlVCL)
    protected
        procedure DoInit(); override;
    end;


const
    SUISKIN_IP_DEF   : array [0 .. 4] of TsuiSkinCtrlVCLDef = (
        (CtrlClass : TwwComboButton;
         SkinCtrlClass : TsuiIPComboButton),
        (CtrlClass : TwwDBNavigator;
         SkinCtrlClass : TsuiIPNavigator),
        (CtrlClass : TwwDBGrid;
         SkinCtrlClass : TsuiIPDBGrid),
        (CtrlClass : TwwDBCustomCombo;
         SkinCtrlClass : TsuiIPDBCustomCombo),
        (CtrlClass : TwwDBCustomDateTimePicker;
         SkinCtrlClass : TsuiIPDBCustomDateTimePicker)
    );

implementation

uses SUISkinUtils, SUISkinStdCtrl;

procedure RegisterToSUISkinEngine();
begin
    RegisterSkinControlClass(SUISKIN_IP_DEF);

    RegisterDlgFormClass('TwwMemoDlg');
    RegisterDlgFormClass('TwwLookupDlg');
    RegisterDlgFormClass('TwwLocateDlg');
    RegisterDlgFormClass('TwwFilterDlg');
    RegisterDlgFormClass('TwwRecordViewForm');
    RegisterDlgFormClass('TwwFilterDialogView');

    RegisterDisabledClass('TwwExpandButton');
end;

{ TsuiIPComboButton }

procedure TsuiIPComboButton.PaintControl;
begin
    PaintComboButtonLikeControl(m_Control, m_Engine, clBtnFace);
end;

{ TsuiIPNavigator }

procedure TsuiIPNavigator.DoInit;
begin
    inherited;

    TwwDBNavigator(m_Control).Color := m_Engine.GetFormColor();
end;

{ TsuiIPDBGrid }

procedure TsuiIPDBGrid.DoInit;
begin
    inherited;

    TwwDBGrid(m_Control).TitleColor := m_Engine.GetFormColor();
end;

{ TsuiIPDBCustomCombo }

procedure TsuiIPDBCustomCombo.DoInit;
begin
    inherited;

    TwwDBCustomCombo(m_Control).Button.Tag := SUISKIN_3RD_SPEEDBUTTON_TAG;
end;

{ TsuiIPDBCustomDateTimePicker }

procedure TsuiIPDBCustomDateTimePicker.DoInit;
begin
    inherited;

    TwwDBCustomDateTimePicker(m_Control).Button.Tag := SUISKIN_3RD_SPEEDBUTTON_TAG;
end;

initialization
    RegisterToSUISkinEngine();

end.
